import { r as registerInstance, h } from './index-b13326fc.js';

const ElementLinkEditor = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    prop(path, options = {}) {
        return this.handler.prop(path, Object.assign({}, options));
    }
    render() {
        return [
            h("bce-input", Object.assign({}, this.prop('href'), { placeholder: "https://example.com", label: this.t('link'), type: "text" })),
            h("bce-input", Object.assign({}, this.prop('text', { localize: true }), { label: this.t('text'), placeholder: this.t('example'), type: "text" })),
            h("bce-input", Object.assign({}, this.prop('icon'), { label: this.t('icon'), placeholder: "globe", type: "text" })),
            h("slot", null)
        ];
    }
};

export { ElementLinkEditor as bce_element_link_editor };
